package com.shcd.aistcp.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.data.redis.connection.RedisConnectionFactory;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.data.redis.serializer.GenericJackson2JsonRedisSerializer;

/**
 * 类名:@Name - RedisConfig
 * 功能描述:@Function Description<>
 * 日期:@Date - 2025/1/21 10:55
 * 作者:@Created by zrj
 */
@Configuration
public class RedisConfig {
    @Bean
    public RedisTemplate<String, Object> redisTemplate(RedisConnectionFactory redisConnectionFactory) {
        RedisTemplate<String, Object> template = new RedisTemplate<>();
        template.setConnectionFactory(redisConnectionFactory);
        // 设置键（Key）的序列化方式为String
        template.setKeySerializer(new GenericJackson2JsonRedisSerializer());
        // 设置值（Value）的序列化方式为GenericJackson2JsonRedisSerializer
        template.setValueSerializer(new GenericJackson2JsonRedisSerializer());
        return template;
    }
}
